<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://maven.apache.org/POM/4.0.0"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>1.5.4.RELEASE</version>
		<relativePath /> <!-- lookup parent from repository -->
	</parent>

	<groupId>com.pcloud.common</groupId>
	<artifactId>pcloud-common-parent</artifactId>
	<version>2.1.0-RELEASE</version>
	<modules>
		<module>pcloud-common-config</module>
		<module>pcloud-common</module>
		<module>pcloud-common-core</module>
	</modules>
	<packaging>pom</packaging>

	<name>pcloud-common-parent</name>
	<url>http://maven.apache.org</url>

	<profiles>
		<!-- UAT -->
		<profile>
			<id>uat</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<build>
				<resources>
					<resource>
						<directory>src/main/resources</directory>
					</resource>
					<resource>
						<directory>src/main/resources.uat</directory>
					</resource>
				</resources>
			</build>
			<properties>
				<!-- 部署环境(对应配置文件版本) -->
				<env>uat</env>
				<pcloud-common.version>2.1.0-RELEASE</pcloud-common.version>
				<pcloud-common-config.version>2.1.0-RELEASE</pcloud-common-config.version>
				<pcloud-common-core.version>2.1.0-RELEASE</pcloud-common-core.version>
			</properties>
		</profile>
		<!-- 压测环境 -->
		<profile>
			<id>perf</id>
			<build>
				<resources>
					<resource>
						<directory>src/main/resources</directory>
					</resource>
					<resource>
						<directory>src/main/resources.perf</directory>
					</resource>
				</resources>
			</build>
			<properties>
				<!-- 部署环境(对应配置文件版本) -->
				<env>perf</env>
				<pcloud-common.version>2.1.0-RELEASE</pcloud-common.version>
				<pcloud-common-config.version>2.1.0-RELEASE</pcloud-common-config.version>
				<pcloud-common-core.version>2.1.0-RELEASE</pcloud-common-core.version>
			</properties>
		</profile>
		<!-- 生产环境 RAYS -->
		<profile>
			<id>prod</id>
			<build>
				<resources>
					<resource>
						<directory>src/main/resources</directory>
					</resource>
					<resource>
						<directory>src/main/resources.prod</directory>
					</resource>
				</resources>
			</build>
			<properties>
				<!-- 部署环境(对应配置文件版本) -->
				<env>prod</env>
				<pcloud-common.version>2.1.1-RELEASE</pcloud-common.version>
				<pcloud-common-config.version>2.1.1-RELEASE</pcloud-common-config.version>
				<pcloud-common-core.version>2.1.1-RELEASE</pcloud-common-core.version>
			</properties>
		</profile>
	</profiles>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
		<spring-cloud.version>Dalston.SR3</spring-cloud.version>
		<spring.data.solr.version>2.1.7.RELEASE</spring.data.solr.version>

		<!-- frameworks -->
		<slf4j.version>1.7.18</slf4j.version>
	</properties>

	<dependencies>
		<!-- Test Dependency Begin -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
		</dependency>
		<!-- Test Dependency End -->
	</dependencies>

	<dependencyManagement>
		<dependencies>
			<!-- Spring begin -->
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>org.mybatis.spring.boot</groupId>
				<artifactId>mybatis-spring-boot-starter</artifactId>
				<version>1.3.0</version>
			</dependency>
			<!-- spring end -->

			<!-- Common Dependency Begin -->
			<dependency>
				<groupId>cglib</groupId>
				<artifactId>cglib</artifactId>
				<version>3.2.1</version>
			</dependency>
			<dependency>
				<groupId>org.slf4j</groupId>
				<artifactId>slf4j-api</artifactId>
				<version>${slf4j.version}</version>
			</dependency>
			<dependency>
				<groupId>org.slf4j</groupId>
				<artifactId>jcl-over-slf4j</artifactId>
				<version>${slf4j.version}</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-classic</artifactId>
				<version>1.1.6</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-core</artifactId>
				<version>1.1.6</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-access</artifactId>
				<version>1.1.6</version>
			</dependency>
			<dependency>
				<groupId>commons-lang</groupId>
				<artifactId>commons-lang</artifactId>
				<version>2.6</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>commons-codec</groupId>
				<artifactId>commons-codec</artifactId>
				<version>1.9</version>
			</dependency>
			<dependency>
				<groupId>commons-beanutils</groupId>
				<artifactId>commons-beanutils</artifactId>
				<version>1.9.2</version>
			</dependency>
			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>2.4</version>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>commons-collections</groupId>
				<artifactId>commons-collections</artifactId>
				<version>3.2.2</version>
			</dependency>
			<dependency>
				<groupId>net.sourceforge.jexcelapi</groupId>
				<artifactId>jxl</artifactId>
				<version>2.6.12</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>druid</artifactId>
				<version>1.0.15</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>fastjson</artifactId>
				<version>1.2.38</version>
			</dependency>
			<dependency>
				<groupId>org.jdom</groupId>
				<artifactId>jdom2</artifactId>
				<version>2.0.6</version>
			</dependency>
			<dependency>
				<groupId>org.apache.httpcomponents</groupId>
				<artifactId>httpclient</artifactId>
				<version>4.5.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.httpcomponents</groupId>
				<artifactId>httpcore</artifactId>
				<version>4.4.6</version>
			</dependency>
			<dependency>
				<groupId>redis.clients</groupId>
				<artifactId>jedis</artifactId>
				<version>2.9.0</version>
			</dependency>
			<!-- Common Dependency End -->

			<!-- logback-json -->
			<dependency>
				<groupId>ch.qos.logback.contrib</groupId>
				<artifactId>logback-json-core</artifactId>
				<version>0.1.2</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback.contrib</groupId>
				<artifactId>logback-json-classic</artifactId>
				<version>0.1.2</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback.contrib</groupId>
				<artifactId>logback-jackson</artifactId>
				<version>0.1.2</version>
			</dependency>


			<!-- Mysql Driver Begin -->
			<dependency>
				<groupId>mysql</groupId>
				<artifactId>mysql-connector-java</artifactId>
				<version>6.0.6</version>
			</dependency>
			<!-- Mysql Driver End -->

			<!-- 图片处理工具 added by songx at 2017-05-17 -->
			<dependency>
				<groupId>net.coobird</groupId>
				<artifactId>thumbnailator</artifactId>
				<version>0.4.8</version>
			</dependency>

			<!-- 压缩工具 added by songx at 2017-05-24 -->
			<dependency>
				<groupId>com.github.junrar</groupId>
				<artifactId>junrar</artifactId>
				<version>0.7</version>
			</dependency>

			<!-- 二维码 added by songx at 2017-05-24 -->
			<dependency>
				<groupId>com.google.zxing</groupId>
				<artifactId>core</artifactId>
				<version>3.0.0</version>
			</dependency>
			<dependency>
				<groupId>com.google.zxing</groupId>
				<artifactId>javase</artifactId>
				<version>3.0.0</version>
			</dependency>

			<!-- 阿里云媒体转码SDK包 added by songx at 2017-06-22 -->
			<dependency>
				<groupId>com.aliyun</groupId>
				<artifactId>aliyun-java-sdk-core</artifactId>
				<version>3.3.1</version>
			</dependency>
			<dependency>
				<groupId>com.aliyun.oss</groupId>
				<artifactId>aliyun-sdk-oss</artifactId>
				<version>2.7.0</version>
			</dependency>
			<dependency>
				<groupId>com.aliyun</groupId>
				<artifactId>aliyun-java-sdk-mts</artifactId>
				<version>2.1.7</version>
			</dependency>
			<!-- end -->

			<!-- solr add by gaop at 2018-4-23 11:33:47 -->
			<dependency>
				<groupId>org.springframework.data</groupId>
				<artifactId>spring-data-solr</artifactId>
				<version>${spring.data.solr.version}</version>
			</dependency>

			<!-- Jackson Begin -->
			<dependency>
				<groupId>org.codehaus.jackson</groupId>
				<artifactId>jackson-mapper-asl</artifactId>
				<version>1.9.13</version>
			</dependency>
			<!-- Jackson End -->
		</dependencies>
	</dependencyManagement>

	<repositories>
		<repository>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<id>public</id>
			<name>public repositories</name>
			<url>http://192.168.83.20:8081/nexus/content/groups/public/</url>
		</repository>
		<repository>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<id>jboss</id>
			<name>public jboss</name>
			<url>http://192.168.83.20:8081/nexus/content/repositories/jboss</url>
		</repository>
		<repository>
			<id>sonatype-nexus-staging</id>
			<name>Sonatype Nexus Staging</name>
			<url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

	<pluginRepositories>
		<pluginRepository>
			<id>public</id>
			<name>public repositories</name>
			<url>http://192.168.83.20:8081/nexus/content/groups/public/</url>
		</pluginRepository>
		<pluginRepository>
			<releases>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<id>central</id>
			<name>Central Repository</name>
			<url>http://repo.maven.apache.org/maven2</url>
		</pluginRepository>
		<pluginRepository>
			<id>Codehaus repository</id>
			<url>http://repository.codehaus.org/</url>
		</pluginRepository>
	</pluginRepositories>

	<distributionManagement>
		<repository>
			<id>nexus-releases</id>
			<name>Nexus Release Repository</name>
			<url>http://192.168.83.20:8081/nexus/content/repositories/releases/</url>
		</repository>
		<snapshotRepository>
			<id>nexus-snapshots</id>
			<name>Nexus Snapshot Repository</name>
			<url>http://192.168.83.20:8081/nexus/content/repositories/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>

</project>
